com.threerings.parlor.rating.server

## Class RatingDelegate

- java.lang.Object
- - com.threerings.crowd.server.PlaceManagerDelegate
  - - com.threerings.parlor.server.PlayManagerDelegate
    - - com.threerings.parlor.game.server.GameManagerDelegate
      - - com.threerings.parlor.rating.server.RatingDelegate

All Implemented Interfaces:
  RatingCodes

    public abstract class RatingDelegate
    extends GameManagerDelegate
    implements RatingCodes

Rates players after each game and handles persisting the results.

### Field Summary

### Fields inherited from interface com.threerings.parlor.rating.data.RatingCodes

`DEFAULT_RATING, MAXIMUM_RATING, MINIMUM_RATING`

### Constructor Summary

Constructors
Constructor and Description
`RatingDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bodyEntered(int bodyOid)`
`void` `bodyLeft(int bodyOid)`
`void` `didInit(com.threerings.crowd.data.PlaceConfig config)`
`void` `didStartup(com.threerings.crowd.data.PlaceObject plobj)`
`void` `gameDidEnd()` Called by the game manager after the game ended.
`void` `gameWillStart()` Called by the game manager when the game is about to start.

### Methods inherited from class com.threerings.parlor.game.server.GameManagerDelegate

`gameDidStart, gameWillEnd, gameWillReset, playerWasReplaced, setAI, tickAI`

### Methods inherited from class com.threerings.crowd.server.PlaceManagerDelegate

`bodyUpdated, didShutdown, init, placeBecameEmpty, where`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RatingDelegate

    public RatingDelegate()

### Method Detail

#### didInit

    public void didInit(com.threerings.crowd.data.PlaceConfig config)

Overrides:
  `didInit` in class `PlayManagerDelegate`

#### didStartup

    public void didStartup(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `didStartup` in class `com.threerings.crowd.server.PlaceManagerDelegate`

#### bodyEntered

    public void bodyEntered(int bodyOid)

Overrides:
  `bodyEntered` in class `com.threerings.crowd.server.PlaceManagerDelegate`

#### bodyLeft

    public void bodyLeft(int bodyOid)

Overrides:
  `bodyLeft` in class `com.threerings.crowd.server.PlaceManagerDelegate`

#### gameWillStart

    public void gameWillStart()

Description copied from class: `GameManagerDelegate`
Called by the game manager when the game is about to start.

Overrides:
  `gameWillStart` in class `GameManagerDelegate`

#### gameDidEnd

    public void gameDidEnd()

Description copied from class: `GameManagerDelegate`
Called by the game manager after the game ended.

Overrides:
  `gameDidEnd` in class `GameManagerDelegate`